Loading...
Searching...
No Matches
graph.c File Reference

GRASS cairo display driver - driver settings. More...

`#include "cairodriver.h"`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <sys/types.h>`
`#include <sys/stat.h>`
`#include <sys/mman.h>`
`#include <grass/colors.h>`
`#include <grass/glocale.h>`
Include dependency graph for cairodriver/graph.c:

Go to the source code of this file.

## Functions

int | Cairo_Graph_set (void)
| Initialize driver.
const char * | Cairo_Graph_get_file (void)
| Get render file.
void | Cairo_Graph_close (void)
| Close driver.

## Variables

struct cairo_state | ca
cairo_surface_t * | surface
cairo_t * | cairo

## Detailed Description

GRASS cairo display driver - driver settings.

(C) 2007-2008, 2011 by Lars Ahlzen and the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Lars Ahlzen <lars ahlzen.com> (original contributor)
  Glynn Clements

Definition in file cairodriver/graph.c.

## Function Documentation

## Cairo_Graph_close()

void Cairo_Graph_close | ( | void |  | ) |

Close driver.

Definition at line 302 of file cairodriver/graph.c.

References ca, cairo, cairo_write_image(), FTYPE_X11, G_debug(), NULL, and surface.

Referenced by Cairo_Driver().

## Cairo_Graph_get_file()

const char * Cairo_Graph_get_file | ( | void |  | ) |

Get render file.

Returns
  file name

Definition at line 294 of file cairodriver/graph.c.

References ca.

Referenced by Cairo_Driver().

## Cairo_Graph_set()

int Cairo_Graph_set | ( | void |  | ) |

Initialize driver.

Set background color, transparency, drawable, antialias mode, etc.

Returns
  0

Definition at line 237 of file cairodriver/graph.c.

References ca, cairo, CAIROCOLOR, G_debug(), G_fatal_error(), G_str_to_color(), and G_strcasecmp().

Referenced by Cairo_Driver().

## Variable Documentation

## ca

struct cairo_state ca

Definition at line 42 of file cairodriver/graph.c.

Referenced by Cairo_begin_raster(), Cairo_Bitmap(), Cairo_Box(), Cairo_end_raster(), Cairo_Erase(), Cairo_Fill(), Cairo_Graph_close(), Cairo_Graph_get_file(), Cairo_Graph_set(), Cairo_Point(), Cairo_raster(), cairo_read_bmp(), cairo_read_image(), cairo_read_ppm(), cairo_read_xid(), Cairo_Stroke(), Cairo_Text(), cairo_write_bmp(), cairo_write_image(), cairo_write_ppm(), and cairo_write_xid().

## cairo

cairo_t* cairo

Definition at line 46 of file cairodriver/graph.c.

Referenced by Cairo_Begin(), Cairo_Bitmap(), Cairo_Box(), Cairo_Close(), Cairo_Color(), Cairo_Cont(), Cairo_end_raster(), Cairo_Erase(), Cairo_Fill(), Cairo_Graph_close(), Cairo_Graph_set(), Cairo_Line_width(), Cairo_Move(), Cairo_Point(), cairo_read_image(), Cairo_Set_window(), Cairo_Stroke(), Cairo_Text(), Cairo_text_box(), and cairo_write_image().

## surface

cairo_surface_t* surface

Definition at line 45 of file cairodriver/graph.c.

Referenced by Cairo_Graph_close(), cairo_read_image(), and cairo_write_image().